NEMESIS-OSPF(1)

NAME
nemesis-ospf - OSPF Protocol (The Nemesis Project)

SYNOPSIS
nemesis-ospf [-vZ] [optlist]

DESCRIPTION
The Nemesis Project is designed to be a command line-based, portable human IP stack for UNIX-like and Windows systems. The suite is broken down by protocol, and should allow for useful scripting of injected packets from simple shell scripts.

  OSPF Packet Types

-p OSPF Protocol (-pH, -pL, -pR)
    Hello (-pH), Database Description (-pD), Link State Request (-pL), Link State Update (-pU), Router Links Advertisement (-pR), Network Links Advertisement (-pN), IP Summary Links Advertisement (-pM), AS External Link Advertisement (-pA),

  OSPF HELLO options

-N Neighbor Router Address
    Neighbor Router Address.

-i Dead Router Interval
    Dead Router Interval.

-l OSPF Interval
    OSPF Interval.

  OSPF Database Description (DBD) options

-z MAX DGRAM Length
    OSPF Maximum Datagram Length

-x Exchange Type
    OSPF DBD Exchange Type

  OSPF Link State Update (LSU) options

-x Num LSAs to bcast
    Number of Link State Advertisements to broadcast

  OSPF Link State Advertisement (LSA) related options
-L Router ID Router ID for Link State Advertisement packets.

-G LSA Age
    Link State Advertisement Age.

  OSPF Router Links Advertisement (LSA_RTR) options
-u LSA_RTR Number Router Links Advertisement Number

-y LSA_RTR Router Type
    Router Links Advertisement Router Type

-k LSA_RTR Router Data
    Router Links Advertisement Router Data

  OSPF Autonomous System External Link Advertisement (LSA_AS_EXT) options
-f LSA_AS_EXT Forward Address Autonomous System Forward Address

-g LSA_AS_EXT Tag
    Autonomous System Tag

  OSPF options
-m OSPF Metric OSPF Metric

-s OSPF Sequence Number
    OSPF Sequence Number

-r OSPF Advertising Router Address
    OSPF Advertising Router Address

-n OSPF Netmask
    OSPF Netmask Address

-O OSPF Options
    OSPF Options

-R OSPF Router ID
    OSPF Router Identifier

-A OSPF Area ID
    OSPF Area Identifier

-P Payload File
    Filename to read for packet payload.

-v verbose-mode
Display the injected packet in human readable form.  Use twice to see a hexdump
    of the injected package with printable ASCII characters on the right. Use three times for a hexdump without decoded ASCII.

IP OPTIONS

-D destination-IP-address
    Specify the destination-IP-address within the IP header.

-F fragmentation-options (-F[D],[M],[R],[offset])
    Specify the fragmentation options:

    -FD (don't fragment)
    -FM (more fragments)
    -FR (reserved flag)
    -F <offset>

    within the IP header. IP fragmentation options can be specified individually or combined into a single argument to the -F command line switch by separating the options with commas (eg. '-FD,M') or spaces (eg. '-FM 223'). The IP fragmentation offset is a 13-bit field with valid values from 0 to 8189. Don't fragment (DF), more fragments (MF) and the reserved flag (RESERVED or RB) are 1-bit fields.

    NOTE: Under normal conditions, the reserved flag is unset.

-I IP-ID
    Specify the IP-ID within the IP header.

-O IP-options-file
    This will cause nemesis-ospf to use the specified IP-options-file as the options when building the IP header for the injected packet. IP options can be up to 40 bytes in length. The IP options file must be created manually based upon the desired options. IP options can also be read from stdin by specifying '-O -' instead of an IP-options-file.

-S source-IP-address
    Specify the source-IP-address within the IP header. IP-type-of-service (TOS) within the IP header. Valid type of service values:

    2  (Minimize monetary cost)
    4  (Maximize reliability)
    8  (Maximize throughput)
    24 (Minimize delay)

    NOTE: Under normal conditions, only one type of service is set within a packet. To specify multiple types, specify the sum of the desired values as the type of service.

-T IP-TTL
    Specify the IP-time-to-live (TTL) within the IP header.

DATA LINK OPTIONS

-d Ethernet-device
    Specify the name (for UNIX-like systems) or the number (for Windows systems) of the Ethernet-device to use (eg. fxp0, eth0, hme0, 1).

-H source-MAC-address
    Specify the source-MAC-address (XX:XX:XX:XX:XX:XX).

-M destination-MAC-address
    Specify the destintion-MAC-address (XX:XX:XX:XX:XX:XX).

-Z list-network-interfaces
    Lists the available network interfaces by number for use in link-layer injection.

    NOTE: This feature is only relevant to Windows systems.

DIAGNOSTICS
Nemesis-ospf returns 0 on a successful exit, 1 if it exits on an error.

BUGS
Send concise and clearly written bug reports to jeff@snort.org

AUTHOR
Jeff Nathan <jeff@snort.org>

Originally developed by Mark Grimes <mark@stateful.net>

SEE ALSO
nemesis-arp(1), nemesis-dns(1), nemesis-ethernet(1), nemesis-icmp(1), nemesis-igmp(1), nemesis-ip(1), nemesis-rip(1), nemesis-tcp(1), nemesis-udp(1)